<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Tramite extends Model
{
    protected $table = 'tramite';


    public function adjuntos()
    {
        return $this->belongsToMany(
            'App\Adjunto', 'Adjunto_Tramite',
            'id_tramite', 'id_adjunto');
    }


    public function Tipo_Tramite()
    {
        return $this->belongsTo('App\Tipo_Tramite', 'id_tipo_tramite', 'id');
    }


    public function Usuario()
    {
        return $this->belongsTo('App\User', 'id_usuario', 'id');
    }

    public function Area_Destino()
    {
        return $this->belongsTo('App\Area', 'id_area_destino', 'id');
    }
    public function Estado()
    {
        return $this->belongsTo('App\Estado_Radicado', 'id_estado', 'id');
    }

    public function Respuesta()
    {
        return $this->belongsTo('App\Respuesta', 'id', 'id_tramite');
    }
}
